org.springframework.web.servlet.view.tiles

## Class TilesConfigurer

- java.lang.Object
- - org.springframework.context.support.ApplicationObjectSupport
  - - org.springframework.web.context.support.WebApplicationObjectSupport
    - - org.springframework.web.servlet.view.tiles.TilesConfigurer

All Implemented Interfaces:
  Aware, InitializingBean, ApplicationContextAware, ServletContextAware

Deprecated.
as of Spring 3.0

    @Deprecated
    public class TilesConfigurer
    extends WebApplicationObjectSupport
    implements InitializingBean

Helper class to configure Tiles 1.x for the Spring Framework. See http://struts.apache.org for more information about Struts Tiles, which basically is a templating mechanism for JSP-based web applications.

NOTE: This TilesConfigurer class supports Tiles 1.x, a.k.a. "Struts Tiles", which comes as part of Struts 1.x. For Tiles 2.x support, check out `TilesConfigurer`.

The TilesConfigurer simply configures a Tiles DefinitionsFactory using a set of files containing definitions, to be accessed by `TilesView` instances.

TilesViews can be managed by any `ViewResolver`. For simple convention-based view resolution, consider using `UrlBasedViewResolver` with the "viewClass" property set to "org.springframework.web.servlet.view.tiles.TilesView".

A typical TilesConfigurer bean definition looks as follows:

     <bean id="tilesConfigurer" class="org.springframework.web.servlet.view.tiles.TilesConfigurer">
       <property name="definitions">
         <list>
           <value>/WEB-INF/defs/general.xml</value>
           <value>/WEB-INF/defs/widgets.xml</value>
           <value>/WEB-INF/defs/administrator.xml</value>
           <value>/WEB-INF/defs/customer.xml</value>
           <value>/WEB-INF/defs/templates.xml</value>
         </list>
       </property>
     </bean>

The values in the list are the actual files containing the definitions.

Author:
  Alef Arendsen, Juergen Hoeller
See Also:
  `TilesView`, `UrlBasedViewResolver`

### Field Summary

### Fields inherited from class org.springframework.context.support.ApplicationObjectSupport

`logger`

### Constructor Summary

Constructors
Constructor and Description
`TilesConfigurer()` Deprecated.

### Method Summary

Methods
`void` `afterPropertiesSet()` Deprecated. Initialize the Tiles definition factory.
`protected org.apache.struts.tiles.DefinitionsFactory` `createDefinitionsFactory(org.apache.struts.tiles.DefinitionsFactoryConfig factoryConfig)` Deprecated. Create the Tiles DefinitionsFactory and expose it to the ServletContext.
`void` `setDefinitions(String[] definitions)` Deprecated. Set the Tiles definitions, i.e.
`void` `setFactoryClass(Class factoryClass)` Deprecated. Set the factory class for Tiles.
`void` `setValidateDefinitions(boolean validateDefinitions)` Deprecated. Set whether to validate the Tiles XML definitions.

### Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport

`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

### Methods inherited from class org.springframework.context.support.ApplicationObjectSupport

`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TilesConfigurer

    public TilesConfigurer()

Deprecated.

### Method Detail

#### setDefinitions

    public void setDefinitions(String[] definitions)

Deprecated.
Set the Tiles definitions, i.e. the list of files containing the definitions.

#### setValidateDefinitions

    public void setValidateDefinitions(boolean validateDefinitions)

Deprecated.
Set whether to validate the Tiles XML definitions. Default is "true".

#### setFactoryClass

    public void setFactoryClass(Class factoryClass)

Deprecated.
Set the factory class for Tiles. Default is I18nFactorySet.

See Also:
  `I18nFactorySet`

#### afterPropertiesSet

    public void afterPropertiesSet()
                            throws org.apache.struts.tiles.DefinitionsFactoryException

Deprecated.
Initialize the Tiles definition factory. Delegates to createDefinitionsFactory for the actual creation.

Specified by:
  `afterPropertiesSet` in interface `InitializingBean`
Throws:
  `org.apache.struts.tiles.DefinitionsFactoryException` - if an error occurs
See Also:
  `createDefinitionsFactory(org.apache.struts.tiles.DefinitionsFactoryConfig)`

#### createDefinitionsFactory

    protected org.apache.struts.tiles.DefinitionsFactory createDefinitionsFactory(org.apache.struts.tiles.DefinitionsFactoryConfig factoryConfig)
                                                                           throws org.apache.struts.tiles.DefinitionsFactoryException

Deprecated.
Create the Tiles DefinitionsFactory and expose it to the ServletContext.

Parameters:
  `factoryConfig` - the configuration for the DefinitionsFactory
Returns:
  the DefinitionsFactory
Throws:
  `org.apache.struts.tiles.DefinitionsFactoryException` - if an error occurs